Bug 175223 - [patch] graphics/mypaint: update to 1.1.0
Summary: [patch] graphics/mypaint: update to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-11 22:10 UTC by Vitaly Magerya
Modified: 2013-04-17 17:50 UTC (History)
0 users

See Also:


Attachments
file.diff (35.84 KB, patch)
2013-01-11 22:10 UTC, Vitaly Magerya
no flags Details | Diff
mypaint-1.1.0.diff.txt (37.17 KB, text/plain; charset=US-ASCII)
2013-03-29 18:59 UTC, Vitaly Magerya
no flags Details
mypaint-1.1.0.diff.txt (38.14 KB, text/plain; charset=US-ASCII)
2013-04-14 20:35 UTC, Vitaly Magerya
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2013-01-11 22:10:00 UTC
Update graphics/mypaint from 1.0.0 to 1.1.0.
Links to changelog and all that are at [1].

Note: I removed the post-install part of the Makefile, since I
can't reproduce whatever it tried to fix.

Also note that (at least on my machine) the program prints a
bunch of debug output to the console, one of which is an exception
traceback saying "Icon 'gtk-missing-image' not present in theme".
This seems to be harmless.

Other than that, everything seems to work fine (including pressure
sensitivity).

[1] http://mypaint.intilinux.com/?p=671

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-11 22:10:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-03-25 11:03:29 UTC
Responsible Changed
From-To: amdmi3->freebsd-ports-bugs

maintainer timeout
Comment 3 Pawel Pekala freebsd_committer 2013-03-29 13:44:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 Pawel Pekala freebsd_committer 2013-03-29 14:38:21 UTC
State Changed
From-To: open->feedback

Port installs files before make install phase: 

http://people.freebsd.org/~pawel/buildlogs/mypaint-1.1.0.log
Comment 5 Vitaly Magerya 2013-03-29 18:59:09 UTC
Here's an updated patch. It should fix that problem; it also moves the
.pc file from lib/pkgconfig into libdata/pkgconfig (I didn't notice
this previously).
Comment 6 Vitaly Magerya 2013-04-14 20:35:05 UTC
OK, another update: here's the same patch, but with additional
change that prevents mypaint from failing when it tries to call
'locale.bindtextdomain'.

It appears that this function doesn't exist on FreeBSD... or at
least that is what various messages in our mailing list archives
say. It worked fine for me before I updated a bunch of ports on
my machine... I don't know how to explain this.

Anyway, the new patch moves calls to 'locale.bindtextdomain'
into a try block.
Comment 7 dfilter service freebsd_committer 2013-04-17 17:41:10 UTC
Author: pawel
Date: Wed Apr 17 16:40:51 2013
New Revision: 315985
URL: http://svnweb.freebsd.org/changeset/ports/315985

Log:
  - Update to version 1.1.0 [1]
  - Respect CFLAGS
  - Remove Author tag from pkg-descr
  
  PR:		ports/175223 [1]
  Submitted by:	Vitaly Magerya <vmagerya@gmail.com> [1]
  Approved by:	maintainer timeout
  Feature safe:	yes

Added:
  head/graphics/mypaint/files/patch-brushlib-SConscript   (contents, props changed)
  head/graphics/mypaint/files/patch-brushlib-tests-SConscript   (contents, props changed)
  head/graphics/mypaint/files/patch-mypaint.py   (contents, props changed)
Modified:
  head/graphics/mypaint/Makefile   (contents, props changed)
  head/graphics/mypaint/distinfo   (contents, props changed)
  head/graphics/mypaint/files/patch-SConstruct   (contents, props changed)
  head/graphics/mypaint/pkg-descr   (contents, props changed)
  head/graphics/mypaint/pkg-plist   (contents, props changed)

Modified: head/graphics/mypaint/Makefile
==============================================================================
--- head/graphics/mypaint/Makefile	Wed Apr 17 16:39:13 2013	(r315984)
+++ head/graphics/mypaint/Makefile	Wed Apr 17 16:40:51 2013	(r315985)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	mypaint
-# Date created:		12 June 2007
-# Whom:			Andrew Pantyukhin <infofarmer@FreeBSD.org>
-#
+# Created by: Andrew Pantyukhin <infofarmer@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	mypaint
-PORTVERSION=	1.0.0
-PORTREVISION=	1
+PORTVERSION=	1.1.0
 CATEGORIES=	graphics
 MASTER_SITES=	http://download.gna.org/mypaint/ \
 		http://mirror.amdmi3.ru/distfiles/
@@ -16,7 +11,10 @@ MAINTAINER=	amdmi3@FreeBSD.org
 COMMENT=	Fast painting/scribbling program
 
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/numpy:${PORTSDIR}/math/py-numpy \
+		${PYTHON_SITELIBDIR}/cairo:${PORTSDIR}/graphics/py-cairo \
 		${PYTHON_PKGNAMEPREFIX}protobuf>0:${PORTSDIR}/devel/py-protobuf
+LIB_DEPENDS=	json:${PORTSDIR}/devel/json-c \
+		lcms2:${PORTSDIR}/graphics/lcms2
 BUILD_DEPENDS:=	${RUN_DEPENDS} \
 		swig:${PORTSDIR}/devel/swig13 \
 		protoc:${PORTSDIR}/devel/protobuf
@@ -31,9 +29,14 @@ INSTALLS_ICONS=	yes
 
 SUB_FILES=	pkg-install
 
+post-patch:
+	${REINPLACE_CMD} -e 's,<malloc.h>,<stdlib.h>,' \
+		${WRKSRC}/brushlib/operationqueue.c \
+		${WRKSRC}/brushlib/fifo.c
+	@${REINPLACE_CMD} 's|-O3||g; s|-g||g' \
+		${WRKSRC}/SConstruct
+
 post-install:
-# scons won't install icons if ${PREFIX}/share/icons already exists
-	cd ${WRKSRC}/desktop && ${COPYTREE_SHARE} 'icons' ${PREFIX}/share
 	@${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>

Modified: head/graphics/mypaint/distinfo
==============================================================================
--- head/graphics/mypaint/distinfo	Wed Apr 17 16:39:13 2013	(r315984)
+++ head/graphics/mypaint/distinfo	Wed Apr 17 16:40:51 2013	(r315985)
@@ -1,2 +1,2 @@
-SHA256 (mypaint-1.0.0.tar.bz2) = ced440ec0307e29bfe4f612604fe27ec9bfaea3f4f9c8019ffaa50ef12dc7131
-SIZE (mypaint-1.0.0.tar.bz2) = 36748957
+SHA256 (mypaint-1.1.0.tar.bz2) = 780d57e50dd90afd586873bc5120261930ea4c309d4d0958020916932122e838
+SIZE (mypaint-1.1.0.tar.bz2) = 37416388

Modified: head/graphics/mypaint/files/patch-SConstruct
==============================================================================
--- head/graphics/mypaint/files/patch-SConstruct	Wed Apr 17 16:39:13 2013	(r315984)
+++ head/graphics/mypaint/files/patch-SConstruct	Wed Apr 17 16:40:51 2013	(r315985)
@@ -1,20 +1,24 @@
---- SConstruct.orig	2011-11-23 00:27:03.000000000 +0400
-+++ SConstruct	2011-11-24 18:10:25.000000000 +0400
-@@ -30,7 +30,7 @@
- opts.Add(PathVariable('prefix', 'autotools-style installation prefix', default_prefix, validator=PathVariable.PathIsDirCreate))
+--- SConstruct.orig	2012-12-31 19:03:38.000000000 +0200
++++ SConstruct	2013-01-11 20:45:33.000000000 +0200
+@@ -39,7 +39,7 @@
+ 
+ tools = ['default', 'textfile']
  
- opts.Add(BoolVariable('debug', 'enable HEAVY_DEBUG and disable optimizations', False))
--env = Environment(ENV=os.environ, options=opts)
-+env = Environment(ENV=os.environ, options=opts, **dict((k, v.split()) for k, v in ARGUMENTS.iteritems()))
+-env = Environment(ENV=os.environ, options=opts, tools=tools)
++env = Environment(ENV=os.environ, options=opts, tools=tools, **dict((k, v.split()) for k, v in ARGUMENTS.iteritems()))
+ print('building for %r (use scons python_binary=xxx to change)' % env['python_binary'])
+ print('using %r (use scons python_config=xxx to change)' % env['python_config'])
  if sys.platform == "win32":
-     # remove this mingw if trying VisualStudio
-     env = Environment(tools=['mingw'], ENV=os.environ, options=opts)
-@@ -39,7 +39,7 @@
- env.ParseConfig('pkg-config --cflags --libs glib-2.0')
- env.ParseConfig('pkg-config --cflags --libs libpng')
+@@ -47,9 +47,9 @@
+     env = Environment(tools=tools + ['mingw'], ENV=os.environ, options=opts)
+ opts.Update(env)
  
 -env.Append(CXXFLAGS=' -Wall -Wno-sign-compare -Wno-write-strings')
+-env.Append(CCFLAGS='-Wall')
+-env.Append(CFLAGS='-std=c99')
 +env.Append(CXXFLAGS=['-Wall', '-Wno-sign-compare', '-Wno-write-strings'])
++env.Append(CCFLAGS=['-Wall'])
++env.Append(CFLAGS=['-std=c99'])
  
- # Get the numpy include path (for numpy/arrayobject.h).
- numpy_path = numpy.get_include()
+ # Define strdup() in string.h under glibc >= 2.10 (POSIX.1-2008)
+ env.Append(CFLAGS='-D_POSIX_C_SOURCE=200809L')

Added: head/graphics/mypaint/files/patch-brushlib-SConscript
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mypaint/files/patch-brushlib-SConscript	Wed Apr 17 16:40:51 2013	(r315985)
@@ -0,0 +1,19 @@
+--- brushlib/SConscript.orig	2012-12-31 19:03:38.000000000 +0200
++++ brushlib/SConscript	2013-03-29 20:13:10.000000000 +0200
+@@ -47,7 +47,7 @@
+     }
+     pc_file = env.Substfile('%s.pc' % pkgconfig_name,
+                             "pkgconfig.pc.in", SUBST_DICT=pkg_info)
+-    install_perms(env, '$prefix/lib/pkgconfig', pc_file)
++    install_perms(env, '$prefix/libdata/pkgconfig', pc_file)
+ 
+     return pc_file
+ 
+@@ -56,6 +56,7 @@
+ # and also add our own specifics ones without affecting the other builds
+ top_env = env
+ env = env.Clone()
++env.Prepend(LIBPATH=[".."])
+ 
+ if env['enable_introspection']:
+     env['use_glib'] = True

Added: head/graphics/mypaint/files/patch-brushlib-tests-SConscript
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mypaint/files/patch-brushlib-tests-SConscript	Wed Apr 17 16:40:51 2013	(r315985)
@@ -0,0 +1,14 @@
+--- brushlib/tests/SConscript.orig	2012-12-31 19:03:38.000000000 +0200
++++ brushlib/tests/SConscript	2013-03-29 20:06:21.000000000 +0200
+@@ -13,8 +13,9 @@
+ tests_sources = [fn for fn in os.listdir("./") if is_test(fn) and is_csource(fn)]
+ testlib_sources = [fn for fn in os.listdir("./") if not is_test(fn) and is_csource(fn)]
+ 
+-testlib_env.Append(LIBS=['mypaint'])
+-testlib_env.Append(CPPPATH=['../'], LIBPATH=['../..'])
++testlib_env.Append(LIBS=['intl', 'mypaint'])
++testlib_env.Append(CPPPATH=['../'])
++testlib_env.Prepend(LIBPATH=['../..'])
+ 
+ if testlib_env['enable_gperftools']:
+     testlib_env.ParseConfig('pkg-config --cflags --libs libprofiler')

Added: head/graphics/mypaint/files/patch-mypaint.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mypaint/files/patch-mypaint.py	Wed Apr 17 16:40:51 2013	(r315985)
@@ -0,0 +1,14 @@
+--- mypaint.py.orig	2013-04-16 20:22:02.000000000 +0200
++++ mypaint.py	2013-04-16 20:22:19.000000000 +0200
+@@ -172,11 +172,6 @@
+     print "DEBUG: localepath: ", localepath
+     print "DEBUG: localepath_brushlib: ", localepath_brushlib
+ 
+-    # Low-level bindtextdomain, required for GtkBuilder stuff.
+-    locale.bindtextdomain("mypaint", localepath)
+-    locale.bindtextdomain("libmypaint", localepath_brushlib)
+-    locale.textdomain("mypaint")
+-
+     # Python gettext module.
+     # See http://docs.python.org/release/2.7/library/locale.html
+     gettext.bindtextdomain("mypaint", localepath)

Modified: head/graphics/mypaint/pkg-descr
==============================================================================
--- head/graphics/mypaint/pkg-descr	Wed Apr 17 16:39:13 2013	(r315984)
+++ head/graphics/mypaint/pkg-descr	Wed Apr 17 16:40:51 2013	(r315985)
@@ -8,5 +8,4 @@ ink to emulate real media, but the highl
 allows you to experiment with your own brushes and with not-quite-natural
 painting.
 
-Author: Martin Renold <martinxyz@gmx.ch>
 WWW: http://mypaint.intilinux.com/

Modified: head/graphics/mypaint/pkg-plist
==============================================================================
--- head/graphics/mypaint/pkg-plist	Wed Apr 17 16:39:13 2013	(r315984)
+++ head/graphics/mypaint/pkg-plist	Wed Apr 17 16:40:51 2013	(r315985)
@@ -1,106 +1,303 @@
 bin/mypaint
+include/libmypaint/glib/mypaint-brush.h
+include/libmypaint/mypaint-brush-settings-gen.h
+include/libmypaint/mypaint-brush-settings.h
+include/libmypaint/mypaint-brush.h
+include/libmypaint/mypaint-config.h
+include/libmypaint/mypaint-fixed-tiled-surface.h
+include/libmypaint/mypaint-glib-compat.h
+include/libmypaint/mypaint-surface.h
+include/libmypaint/mypaint-tiled-surface.h
+lib/libmypaint.a
 lib/mypaint/_mypaintlib.so
+libdata/pkgconfig/libmypaint.pc
 share/applications/mypaint.desktop
 share/icons/hicolor/16x16/actions/brush-blend-mode-eraser.png
 share/icons/hicolor/16x16/actions/brush-blend-mode-normal.png
 share/icons/hicolor/16x16/actions/mypaint-brush-blend-mode-alpha-lock.png
+share/icons/hicolor/16x16/actions/mypaint-brush-blend-mode-colorize.png
 share/icons/hicolor/16x16/actions/mypaint-brush-blend-mode-eraser.png
 share/icons/hicolor/16x16/actions/mypaint-brush-blend-mode-normal.png
 share/icons/hicolor/16x16/actions/mypaint-brush-blend-modes.png
 share/icons/hicolor/16x16/actions/mypaint-brush-mods-active.png
 share/icons/hicolor/16x16/actions/mypaint-brush-mods-inactive.png
+share/icons/hicolor/16x16/actions/mypaint-frame.png
+share/icons/hicolor/16x16/actions/mypaint-layer-duplicate.png
+share/icons/hicolor/16x16/actions/mypaint-line-mode-ellipse.png
+share/icons/hicolor/16x16/actions/mypaint-line-mode-freehand.png
+share/icons/hicolor/16x16/actions/mypaint-line-mode-sequence.png
+share/icons/hicolor/16x16/actions/mypaint-line-mode-straight.png
+share/icons/hicolor/16x16/actions/mypaint-line-mode.png
+share/icons/hicolor/16x16/actions/mypaint-move.png
+share/icons/hicolor/16x16/actions/mypaint-symmetry.png
 share/icons/hicolor/16x16/actions/mypaint-tool-brush.png
+share/icons/hicolor/16x16/actions/mypaint-tool-color-rgb.png
 share/icons/hicolor/16x16/actions/mypaint-tool-color-triangle.png
+share/icons/hicolor/16x16/actions/mypaint-tool-component-sliders.png
+share/icons/hicolor/16x16/actions/mypaint-tool-hcywheel.png
+share/icons/hicolor/16x16/actions/mypaint-tool-hsvcube.png
+share/icons/hicolor/16x16/actions/mypaint-tool-hsvwheel.png
 share/icons/hicolor/16x16/actions/mypaint-tool-hue-wheel.png
 share/icons/hicolor/16x16/actions/mypaint-tool-layers.png
+share/icons/hicolor/16x16/actions/mypaint-tool-move-layer.png
+share/icons/hicolor/16x16/actions/mypaint-tool-paint-color.png
 share/icons/hicolor/16x16/actions/mypaint-tool-scratchpad.png
+share/icons/hicolor/16x16/actions/mypaint-view-100.png
+share/icons/hicolor/16x16/actions/mypaint-view-fit.png
+share/icons/hicolor/16x16/actions/mypaint-view-mirror-horizontal.png
+share/icons/hicolor/16x16/actions/mypaint-view-mirror-vertical.png
+share/icons/hicolor/16x16/actions/mypaint-view-pan.png
+share/icons/hicolor/16x16/actions/mypaint-view-rotate-anticlockwise.png
+share/icons/hicolor/16x16/actions/mypaint-view-rotate-clockwise.png
+share/icons/hicolor/16x16/actions/mypaint-view-rotate.png
+share/icons/hicolor/16x16/actions/mypaint-view-zoom-less.png
+share/icons/hicolor/16x16/actions/mypaint-view-zoom-more.png
+share/icons/hicolor/16x16/actions/mypaint-view-zoom.png
 share/icons/hicolor/16x16/apps/mypaint.png
 share/icons/hicolor/22x22/actions/brush-blend-mode-eraser.png
 share/icons/hicolor/22x22/actions/brush-blend-mode-normal.png
 share/icons/hicolor/22x22/actions/mypaint-brush-blend-mode-alpha-lock.png
+share/icons/hicolor/22x22/actions/mypaint-brush-blend-mode-colorize.png
 share/icons/hicolor/22x22/actions/mypaint-brush-blend-mode-eraser.png
 share/icons/hicolor/22x22/actions/mypaint-brush-blend-mode-normal.png
 share/icons/hicolor/22x22/actions/mypaint-brush-blend-modes.png
 share/icons/hicolor/22x22/actions/mypaint-brush-mods-active.png
 share/icons/hicolor/22x22/actions/mypaint-brush-mods-inactive.png
+share/icons/hicolor/22x22/actions/mypaint-frame.png
+share/icons/hicolor/22x22/actions/mypaint-line-mode-ellipse.png
+share/icons/hicolor/22x22/actions/mypaint-line-mode-freehand.png
+share/icons/hicolor/22x22/actions/mypaint-line-mode-sequence.png
+share/icons/hicolor/22x22/actions/mypaint-line-mode-straight.png
+share/icons/hicolor/22x22/actions/mypaint-line-mode.png
+share/icons/hicolor/22x22/actions/mypaint-move.png
+share/icons/hicolor/22x22/actions/mypaint-symmetry.png
 share/icons/hicolor/22x22/actions/mypaint-tool-brush.png
+share/icons/hicolor/22x22/actions/mypaint-tool-color-rgb.png
 share/icons/hicolor/22x22/actions/mypaint-tool-color-triangle.png
+share/icons/hicolor/22x22/actions/mypaint-tool-component-sliders.png
+share/icons/hicolor/22x22/actions/mypaint-tool-hcywheel.png
+share/icons/hicolor/22x22/actions/mypaint-tool-hsvcube.png
+share/icons/hicolor/22x22/actions/mypaint-tool-hsvwheel.png
 share/icons/hicolor/22x22/actions/mypaint-tool-hue-wheel.png
 share/icons/hicolor/22x22/actions/mypaint-tool-layers.png
+share/icons/hicolor/22x22/actions/mypaint-tool-move-layer.png
+share/icons/hicolor/22x22/actions/mypaint-tool-paint-color.png
 share/icons/hicolor/22x22/actions/mypaint-tool-scratchpad.png
+share/icons/hicolor/22x22/actions/mypaint-view-100.png
+share/icons/hicolor/22x22/actions/mypaint-view-fit.png
+share/icons/hicolor/22x22/actions/mypaint-view-mirror-horizontal.png
+share/icons/hicolor/22x22/actions/mypaint-view-mirror-vertical.png
+share/icons/hicolor/22x22/actions/mypaint-view-pan.png
+share/icons/hicolor/22x22/actions/mypaint-view-rotate-anticlockwise.png
+share/icons/hicolor/22x22/actions/mypaint-view-rotate-clockwise.png
+share/icons/hicolor/22x22/actions/mypaint-view-rotate.png
+share/icons/hicolor/22x22/actions/mypaint-view-zoom-less.png
+share/icons/hicolor/22x22/actions/mypaint-view-zoom-more.png
+share/icons/hicolor/22x22/actions/mypaint-view-zoom.png
 share/icons/hicolor/22x22/apps/mypaint.png
 share/icons/hicolor/24x24/actions/brush-blend-mode-eraser.png
 share/icons/hicolor/24x24/actions/brush-blend-mode-normal.png
 share/icons/hicolor/24x24/actions/mypaint-brush-blend-mode-alpha-lock.png
+share/icons/hicolor/24x24/actions/mypaint-brush-blend-mode-colorize.png
 share/icons/hicolor/24x24/actions/mypaint-brush-blend-mode-eraser.png
 share/icons/hicolor/24x24/actions/mypaint-brush-blend-mode-normal.png
 share/icons/hicolor/24x24/actions/mypaint-brush-blend-modes.png
 share/icons/hicolor/24x24/actions/mypaint-brush-mods-active.png
 share/icons/hicolor/24x24/actions/mypaint-brush-mods-inactive.png
+share/icons/hicolor/24x24/actions/mypaint-frame.png
+share/icons/hicolor/24x24/actions/mypaint-line-mode-ellipse.png
+share/icons/hicolor/24x24/actions/mypaint-line-mode-freehand.png
+share/icons/hicolor/24x24/actions/mypaint-line-mode-sequence.png
+share/icons/hicolor/24x24/actions/mypaint-line-mode-straight.png
+share/icons/hicolor/24x24/actions/mypaint-line-mode.png
+share/icons/hicolor/24x24/actions/mypaint-move.png
+share/icons/hicolor/24x24/actions/mypaint-symmetry.png
 share/icons/hicolor/24x24/actions/mypaint-tool-brush.png
+share/icons/hicolor/24x24/actions/mypaint-tool-color-rgb.png
 share/icons/hicolor/24x24/actions/mypaint-tool-color-triangle.png
+share/icons/hicolor/24x24/actions/mypaint-tool-component-sliders.png
+share/icons/hicolor/24x24/actions/mypaint-tool-hcywheel.png
+share/icons/hicolor/24x24/actions/mypaint-tool-hsvcube.png
+share/icons/hicolor/24x24/actions/mypaint-tool-hsvwheel.png
 share/icons/hicolor/24x24/actions/mypaint-tool-hue-wheel.png
 share/icons/hicolor/24x24/actions/mypaint-tool-layers.png
+share/icons/hicolor/24x24/actions/mypaint-tool-move-layer.png
+share/icons/hicolor/24x24/actions/mypaint-tool-paint-color.png
 share/icons/hicolor/24x24/actions/mypaint-tool-scratchpad.png
+share/icons/hicolor/24x24/actions/mypaint-view-100.png
+share/icons/hicolor/24x24/actions/mypaint-view-fit.png
+share/icons/hicolor/24x24/actions/mypaint-view-mirror-horizontal.png
+share/icons/hicolor/24x24/actions/mypaint-view-mirror-vertical.png
+share/icons/hicolor/24x24/actions/mypaint-view-pan.png
+share/icons/hicolor/24x24/actions/mypaint-view-rotate-anticlockwise.png
+share/icons/hicolor/24x24/actions/mypaint-view-rotate-clockwise.png
+share/icons/hicolor/24x24/actions/mypaint-view-rotate.png
+share/icons/hicolor/24x24/actions/mypaint-view-zoom-less.png
+share/icons/hicolor/24x24/actions/mypaint-view-zoom-more.png
+share/icons/hicolor/24x24/actions/mypaint-view-zoom.png
 share/icons/hicolor/24x24/apps/mypaint.png
 share/icons/hicolor/32x32/actions/brush-blend-mode-eraser.png
 share/icons/hicolor/32x32/actions/brush-blend-mode-normal.png
 share/icons/hicolor/32x32/actions/mypaint-brush-blend-mode-alpha-lock.png
+share/icons/hicolor/32x32/actions/mypaint-brush-blend-mode-colorize.png
 share/icons/hicolor/32x32/actions/mypaint-brush-blend-mode-eraser.png
 share/icons/hicolor/32x32/actions/mypaint-brush-blend-mode-normal.png
 share/icons/hicolor/32x32/actions/mypaint-brush-blend-modes.png
 share/icons/hicolor/32x32/actions/mypaint-brush-mods-active.png
 share/icons/hicolor/32x32/actions/mypaint-brush-mods-inactive.png
+share/icons/hicolor/32x32/actions/mypaint-frame.png
+share/icons/hicolor/32x32/actions/mypaint-line-mode-ellipse.png
+share/icons/hicolor/32x32/actions/mypaint-line-mode-freehand.png
+share/icons/hicolor/32x32/actions/mypaint-line-mode-sequence.png
+share/icons/hicolor/32x32/actions/mypaint-line-mode-straight.png
+share/icons/hicolor/32x32/actions/mypaint-line-mode.png
+share/icons/hicolor/32x32/actions/mypaint-move.png
+share/icons/hicolor/32x32/actions/mypaint-symmetry.png
 share/icons/hicolor/32x32/actions/mypaint-tool-brush.png
+share/icons/hicolor/32x32/actions/mypaint-tool-color-rgb.png
 share/icons/hicolor/32x32/actions/mypaint-tool-color-triangle.png
+share/icons/hicolor/32x32/actions/mypaint-tool-component-sliders.png
+share/icons/hicolor/32x32/actions/mypaint-tool-hcywheel.png
+share/icons/hicolor/32x32/actions/mypaint-tool-hsvcube.png
+share/icons/hicolor/32x32/actions/mypaint-tool-hsvwheel.png
 share/icons/hicolor/32x32/actions/mypaint-tool-hue-wheel.png
 share/icons/hicolor/32x32/actions/mypaint-tool-layers.png
+share/icons/hicolor/32x32/actions/mypaint-tool-move-layer.png
+share/icons/hicolor/32x32/actions/mypaint-tool-paint-color.png
 share/icons/hicolor/32x32/actions/mypaint-tool-scratchpad.png
+share/icons/hicolor/32x32/actions/mypaint-view-100.png
+share/icons/hicolor/32x32/actions/mypaint-view-fit.png
+share/icons/hicolor/32x32/actions/mypaint-view-mirror-horizontal.png
+share/icons/hicolor/32x32/actions/mypaint-view-mirror-vertical.png
+share/icons/hicolor/32x32/actions/mypaint-view-pan.png
+share/icons/hicolor/32x32/actions/mypaint-view-rotate-anticlockwise.png
+share/icons/hicolor/32x32/actions/mypaint-view-rotate-clockwise.png
+share/icons/hicolor/32x32/actions/mypaint-view-rotate.png
+share/icons/hicolor/32x32/actions/mypaint-view-zoom-less.png
+share/icons/hicolor/32x32/actions/mypaint-view-zoom-more.png
+share/icons/hicolor/32x32/actions/mypaint-view-zoom.png
 share/icons/hicolor/32x32/apps/mypaint.png
 share/icons/hicolor/48x48/actions/brush-blend-mode-normal.png
 share/icons/hicolor/48x48/actions/mypaint-brush-blend-mode-alpha-lock.png
+share/icons/hicolor/48x48/actions/mypaint-brush-blend-mode-colorize.png
 share/icons/hicolor/48x48/actions/mypaint-brush-blend-mode-eraser.png
 share/icons/hicolor/48x48/actions/mypaint-brush-blend-mode-normal.png
 share/icons/hicolor/48x48/actions/mypaint-brush-blend-modes.png
 share/icons/hicolor/48x48/actions/mypaint-brush-mods-active.png
 share/icons/hicolor/48x48/actions/mypaint-brush-mods-inactive.png
+share/icons/hicolor/48x48/actions/mypaint-frame.png
+share/icons/hicolor/48x48/actions/mypaint-line-mode-ellipse.png
+share/icons/hicolor/48x48/actions/mypaint-line-mode-freehand.png
+share/icons/hicolor/48x48/actions/mypaint-line-mode-sequence.png
+share/icons/hicolor/48x48/actions/mypaint-line-mode-straight.png
+share/icons/hicolor/48x48/actions/mypaint-line-mode.png
+share/icons/hicolor/48x48/actions/mypaint-move.png
+share/icons/hicolor/48x48/actions/mypaint-symmetry.png
 share/icons/hicolor/48x48/actions/mypaint-tool-brush.png
+share/icons/hicolor/48x48/actions/mypaint-tool-color-rgb.png
 share/icons/hicolor/48x48/actions/mypaint-tool-color-triangle.png
+share/icons/hicolor/48x48/actions/mypaint-tool-component-sliders.png
+share/icons/hicolor/48x48/actions/mypaint-tool-hcywheel.png
+share/icons/hicolor/48x48/actions/mypaint-tool-hsvcube.png
+share/icons/hicolor/48x48/actions/mypaint-tool-hsvwheel.png
 share/icons/hicolor/48x48/actions/mypaint-tool-hue-wheel.png
 share/icons/hicolor/48x48/actions/mypaint-tool-layers.png
+share/icons/hicolor/48x48/actions/mypaint-tool-move-layer.png
+share/icons/hicolor/48x48/actions/mypaint-tool-paint-color.png
 share/icons/hicolor/48x48/actions/mypaint-tool-scratchpad.png
+share/icons/hicolor/48x48/actions/mypaint-view-100.png
+share/icons/hicolor/48x48/actions/mypaint-view-fit.png
+share/icons/hicolor/48x48/actions/mypaint-view-mirror-horizontal.png
+share/icons/hicolor/48x48/actions/mypaint-view-mirror-vertical.png
+share/icons/hicolor/48x48/actions/mypaint-view-pan.png
+share/icons/hicolor/48x48/actions/mypaint-view-rotate-anticlockwise.png
+share/icons/hicolor/48x48/actions/mypaint-view-rotate-clockwise.png
+share/icons/hicolor/48x48/actions/mypaint-view-rotate.png
+share/icons/hicolor/48x48/actions/mypaint-view-zoom-less.png
+share/icons/hicolor/48x48/actions/mypaint-view-zoom-more.png
+share/icons/hicolor/48x48/actions/mypaint-view-zoom.png
 share/icons/hicolor/48x48/apps/mypaint.png
 share/icons/hicolor/scalable/actions/mypaint-brush-blend-mode-alpha-lock.svg
+share/icons/hicolor/scalable/actions/mypaint-brush-blend-mode-colorize.svg
 share/icons/hicolor/scalable/actions/mypaint-brush-blend-mode-eraser.svg
 share/icons/hicolor/scalable/actions/mypaint-brush-blend-mode-normal.svg
 share/icons/hicolor/scalable/actions/mypaint-brush-blend-modes.svg
 share/icons/hicolor/scalable/actions/mypaint-brush-mods-active.svg
 share/icons/hicolor/scalable/actions/mypaint-brush-mods-inactive.svg
+share/icons/hicolor/scalable/actions/mypaint-frame.svg
+share/icons/hicolor/scalable/actions/mypaint-line-mode-ellipse.svg
+share/icons/hicolor/scalable/actions/mypaint-line-mode-freehand.svg
+share/icons/hicolor/scalable/actions/mypaint-line-mode-sequence.svg
+share/icons/hicolor/scalable/actions/mypaint-line-mode-straight.svg
+share/icons/hicolor/scalable/actions/mypaint-line-mode.svg
+share/icons/hicolor/scalable/actions/mypaint-move.svg
+share/icons/hicolor/scalable/actions/mypaint-symmetry.svg
 share/icons/hicolor/scalable/actions/mypaint-tool-brush.svg
+share/icons/hicolor/scalable/actions/mypaint-tool-color-rgb.svg
 share/icons/hicolor/scalable/actions/mypaint-tool-color-triangle.svg
+share/icons/hicolor/scalable/actions/mypaint-tool-component-sliders.svg
+share/icons/hicolor/scalable/actions/mypaint-tool-hcywheel.svg
+share/icons/hicolor/scalable/actions/mypaint-tool-hsvcube.svg
+share/icons/hicolor/scalable/actions/mypaint-tool-hsvwheel.svg
 share/icons/hicolor/scalable/actions/mypaint-tool-hue-wheel.svg
 share/icons/hicolor/scalable/actions/mypaint-tool-layers.svg
+share/icons/hicolor/scalable/actions/mypaint-tool-move-layer.svg
+share/icons/hicolor/scalable/actions/mypaint-tool-paint-color.svg
 share/icons/hicolor/scalable/actions/mypaint-tool-scratchpad.svg
+share/icons/hicolor/scalable/actions/mypaint-view-100.svg
+share/icons/hicolor/scalable/actions/mypaint-view-fit.svg
+share/icons/hicolor/scalable/actions/mypaint-view-mirror-horizontal.svg
+share/icons/hicolor/scalable/actions/mypaint-view-mirror-vertical.svg
+share/icons/hicolor/scalable/actions/mypaint-view-pan.svg
+share/icons/hicolor/scalable/actions/mypaint-view-rotate-anticlockwise.svg
+share/icons/hicolor/scalable/actions/mypaint-view-rotate-clockwise.svg
+share/icons/hicolor/scalable/actions/mypaint-view-rotate.svg
+share/icons/hicolor/scalable/actions/mypaint-view-zoom-less.svg
+share/icons/hicolor/scalable/actions/mypaint-view-zoom-more.svg
+share/icons/hicolor/scalable/actions/mypaint-view-zoom.svg
 share/icons/hicolor/scalable/apps/mypaint.svg
+share/locale/cs/LC_MESSAGES/libmypaint.mo
 share/locale/cs/LC_MESSAGES/mypaint.mo
+share/locale/de/LC_MESSAGES/libmypaint.mo
 share/locale/de/LC_MESSAGES/mypaint.mo
+share/locale/en_CA/LC_MESSAGES/libmypaint.mo
 share/locale/en_CA/LC_MESSAGES/mypaint.mo
+share/locale/en_GB/LC_MESSAGES/mypaint.mo
+share/locale/es/LC_MESSAGES/libmypaint.mo
 share/locale/es/LC_MESSAGES/mypaint.mo
+share/locale/fr/LC_MESSAGES/libmypaint.mo
 share/locale/fr/LC_MESSAGES/mypaint.mo
+share/locale/hu/LC_MESSAGES/libmypaint.mo
 share/locale/hu/LC_MESSAGES/mypaint.mo
+share/locale/id/LC_MESSAGES/libmypaint.mo
 share/locale/id/LC_MESSAGES/mypaint.mo
+share/locale/it/LC_MESSAGES/libmypaint.mo
 share/locale/it/LC_MESSAGES/mypaint.mo
+share/locale/ja/LC_MESSAGES/libmypaint.mo
 share/locale/ja/LC_MESSAGES/mypaint.mo
+share/locale/ko/LC_MESSAGES/libmypaint.mo
 share/locale/ko/LC_MESSAGES/mypaint.mo
+share/locale/nb/LC_MESSAGES/libmypaint.mo
 share/locale/nb/LC_MESSAGES/mypaint.mo
+share/locale/nn_NO/LC_MESSAGES/libmypaint.mo
 share/locale/nn_NO/LC_MESSAGES/mypaint.mo
+share/locale/pl/LC_MESSAGES/libmypaint.mo
 share/locale/pl/LC_MESSAGES/mypaint.mo
+share/locale/pt_BR/LC_MESSAGES/libmypaint.mo
 share/locale/pt_BR/LC_MESSAGES/mypaint.mo
+share/locale/ro/LC_MESSAGES/libmypaint.mo
+share/locale/ro/LC_MESSAGES/mypaint.mo
+share/locale/ru/LC_MESSAGES/libmypaint.mo
 share/locale/ru/LC_MESSAGES/mypaint.mo
+share/locale/sl/LC_MESSAGES/libmypaint.mo
 share/locale/sl/LC_MESSAGES/mypaint.mo
+share/locale/sv/LC_MESSAGES/libmypaint.mo
 share/locale/sv/LC_MESSAGES/mypaint.mo
+share/locale/uk/LC_MESSAGES/libmypaint.mo
 share/locale/uk/LC_MESSAGES/mypaint.mo
+share/locale/zh_CN/LC_MESSAGES/libmypaint.mo
 share/locale/zh_CN/LC_MESSAGES/mypaint.mo
+share/locale/zh_TW/LC_MESSAGES/libmypaint.mo
 share/locale/zh_TW/LC_MESSAGES/mypaint.mo
 %%DATADIR%%/backgrounds/01_white.png
 %%DATADIR%%/backgrounds/02_black.png
@@ -209,7 +406,7 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 %%DATADIR%%/backgrounds/ramon/readme_papers.txt
 %%DATADIR%%/backgrounds/squares2.png
 %%DATADIR%%/backgrounds/squares2_blue.png
-%%DATADIR%%/brushes/FX_blender_prev
+%%DATADIR%%/brushes/FX_blender_prev.png
 %%DATADIR%%/brushes/classic/blend+paint.myb
 %%DATADIR%%/brushes/classic/blend+paint_prev.png
 %%DATADIR%%/brushes/classic/blending_knife.myb
@@ -280,79 +477,79 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 %%DATADIR%%/brushes/classic/textured_ink_prev.png
 %%DATADIR%%/brushes/classic/wet_knife.myb
 %%DATADIR%%/brushes/classic/wet_knife_prev.png
-%%DATADIR%%/brushes/deevad/2B.myb
-%%DATADIR%%/brushes/deevad/2B_prev.png
-%%DATADIR%%/brushes/deevad/4H.myb
-%%DATADIR%%/brushes/deevad/4H_prev.png
+%%DATADIR%%/brushes/deevad/2B_pencil.myb
+%%DATADIR%%/brushes/deevad/2B_pencil_prev.png
+%%DATADIR%%/brushes/deevad/4H_pencil.myb
+%%DATADIR%%/brushes/deevad/4H_pencil_prev.png
 %%DATADIR%%/brushes/deevad/airbrush.myb
 %%DATADIR%%/brushes/deevad/airbrush_prev.png
-%%DATADIR%%/brushes/deevad/artpen.myb
-%%DATADIR%%/brushes/deevad/artpen_prev.png
 %%DATADIR%%/brushes/deevad/ballpen.myb
 %%DATADIR%%/brushes/deevad/ballpen_prev.png
+%%DATADIR%%/brushes/deevad/basic_digital_brush.myb
+%%DATADIR%%/brushes/deevad/basic_digital_brush_prev.png
+%%DATADIR%%/brushes/deevad/basic_digital_brush_smudging.myb
+%%DATADIR%%/brushes/deevad/basic_digital_brush_smudging_prev.png
+%%DATADIR%%/brushes/deevad/basic_digital_knife.myb
+%%DATADIR%%/brushes/deevad/basic_digital_knife_prev.png
+%%DATADIR%%/brushes/deevad/basic_digital_knife_smudging.myb
+%%DATADIR%%/brushes/deevad/basic_digital_knife_smudging_prev.png
 %%DATADIR%%/brushes/deevad/blending.myb
-%%DATADIR%%/brushes/deevad/blending2.myb
-%%DATADIR%%/brushes/deevad/blending2_prev.png
 %%DATADIR%%/brushes/deevad/blending_prev.png
 %%DATADIR%%/brushes/deevad/brush.myb
 %%DATADIR%%/brushes/deevad/brush_prev.png
 %%DATADIR%%/brushes/deevad/chalk.myb
 %%DATADIR%%/brushes/deevad/chalk_prev.png
-%%DATADIR%%/brushes/deevad/charcoal.myb
-%%DATADIR%%/brushes/deevad/charcoal_prev.png
-%%DATADIR%%/brushes/deevad/detail1.myb
-%%DATADIR%%/brushes/deevad/detail1_prev.png
-%%DATADIR%%/brushes/deevad/detail2.myb
-%%DATADIR%%/brushes/deevad/detail2_prev.png
-%%DATADIR%%/brushes/deevad/detail3.myb
-%%DATADIR%%/brushes/deevad/detail3_prev.png
-%%DATADIR%%/brushes/deevad/detail4.myb
-%%DATADIR%%/brushes/deevad/detail4_prev.png
-%%DATADIR%%/brushes/deevad/digital.myb
-%%DATADIR%%/brushes/deevad/digital_prev.png
+%%DATADIR%%/brushes/deevad/detail_brush_large.myb
+%%DATADIR%%/brushes/deevad/detail_brush_large_glazing.myb
+%%DATADIR%%/brushes/deevad/detail_brush_large_glazing_prev.png
+%%DATADIR%%/brushes/deevad/detail_brush_large_prev.png
+%%DATADIR%%/brushes/deevad/detail_brush_thin.myb
+%%DATADIR%%/brushes/deevad/detail_brush_thin_glazing.myb
+%%DATADIR%%/brushes/deevad/detail_brush_thin_glazing_prev.png
+%%DATADIR%%/brushes/deevad/detail_brush_thin_prev.png
 %%DATADIR%%/brushes/deevad/fill.myb
 %%DATADIR%%/brushes/deevad/fill_prev.png
-%%DATADIR%%/brushes/deevad/gpen.myb
-%%DATADIR%%/brushes/deevad/gpen_prev.png
-%%DATADIR%%/brushes/deevad/hard.myb
-%%DATADIR%%/brushes/deevad/hard_prev.png
-%%DATADIR%%/brushes/deevad/kneaded.myb
-%%DATADIR%%/brushes/deevad/kneaded2.myb
-%%DATADIR%%/brushes/deevad/kneaded2_prev.png
-%%DATADIR%%/brushes/deevad/kneaded_prev.png
-%%DATADIR%%/brushes/deevad/knife.myb
-%%DATADIR%%/brushes/deevad/knife_prev.png
-%%DATADIR%%/brushes/deevad/marker.myb
-%%DATADIR%%/brushes/deevad/marker_prev.png
-%%DATADIR%%/brushes/deevad/mixbrush.myb
-%%DATADIR%%/brushes/deevad/mixbrush_prev.png
-%%DATADIR%%/brushes/deevad/mixknife.myb
-%%DATADIR%%/brushes/deevad/mixknife_prev.png
-%%DATADIR%%/brushes/deevad/mop.myb
-%%DATADIR%%/brushes/deevad/mop_prev.png
+%%DATADIR%%/brushes/deevad/grainy_blending.myb
+%%DATADIR%%/brushes/deevad/grainy_blending_prev.png
+%%DATADIR%%/brushes/deevad/kneaded_eraser.myb
+%%DATADIR%%/brushes/deevad/kneaded_eraser_large.myb
+%%DATADIR%%/brushes/deevad/kneaded_eraser_large_prev.png
+%%DATADIR%%/brushes/deevad/kneaded_eraser_prev.png
+%%DATADIR%%/brushes/deevad/large_hard_eraser.myb
+%%DATADIR%%/brushes/deevad/large_hard_eraser_prev.png
+%%DATADIR%%/brushes/deevad/large_watercolor_fringe.myb
+%%DATADIR%%/brushes/deevad/large_watercolor_fringe_prev.png
+%%DATADIR%%/brushes/deevad/liner.myb
+%%DATADIR%%/brushes/deevad/liner_prev.png
+%%DATADIR%%/brushes/deevad/only_water_fringe.myb
+%%DATADIR%%/brushes/deevad/only_water_fringe_prev.png
+%%DATADIR%%/brushes/deevad/pen-note.myb
+%%DATADIR%%/brushes/deevad/pen-note_prev.png
 %%DATADIR%%/brushes/deevad/pen.myb
 %%DATADIR%%/brushes/deevad/pen_prev.png
 %%DATADIR%%/brushes/deevad/readme.txt
-%%DATADIR%%/brushes/deevad/rigger.myb
-%%DATADIR%%/brushes/deevad/rigger2.myb
-%%DATADIR%%/brushes/deevad/rigger2_prev.png
-%%DATADIR%%/brushes/deevad/rigger_prev.png
-%%DATADIR%%/brushes/deevad/sketch.myb
-%%DATADIR%%/brushes/deevad/sketch_prev.png
-%%DATADIR%%/brushes/deevad/sponge.myb
-%%DATADIR%%/brushes/deevad/sponge_prev.png
+%%DATADIR%%/brushes/deevad/rigger_brush.myb
+%%DATADIR%%/brushes/deevad/rigger_brush_prev.png
+%%DATADIR%%/brushes/deevad/rigger_brush_thin.myb
+%%DATADIR%%/brushes/deevad/rigger_brush_thin_prev.png
+%%DATADIR%%/brushes/deevad/rough.myb
+%%DATADIR%%/brushes/deevad/rough_prev.png
+%%DATADIR%%/brushes/deevad/soft-dip-pen.myb
+%%DATADIR%%/brushes/deevad/soft-dip-pen_prev.png
+%%DATADIR%%/brushes/deevad/sponge_smudging.myb
+%%DATADIR%%/brushes/deevad/sponge_smudging_prev.png
 %%DATADIR%%/brushes/deevad/spray.myb
 %%DATADIR%%/brushes/deevad/spray2.myb
 %%DATADIR%%/brushes/deevad/spray2_prev.png
 %%DATADIR%%/brushes/deevad/spray_prev.png
-%%DATADIR%%/brushes/deevad/stick.myb
-%%DATADIR%%/brushes/deevad/stick_prev.png
-%%DATADIR%%/brushes/deevad/water1.myb
-%%DATADIR%%/brushes/deevad/water1_prev.png
-%%DATADIR%%/brushes/deevad/water2.myb
-%%DATADIR%%/brushes/deevad/water2_prev.png
-%%DATADIR%%/brushes/deevad/water3.myb
-%%DATADIR%%/brushes/deevad/water3_prev.png
+%%DATADIR%%/brushes/deevad/thin_hard_eraser.myb
+%%DATADIR%%/brushes/deevad/thin_hard_eraser_prev.png
+%%DATADIR%%/brushes/deevad/thin_watercolor.myb
+%%DATADIR%%/brushes/deevad/thin_watercolor_prev.png
+%%DATADIR%%/brushes/deevad/watercolor_expressive.myb
+%%DATADIR%%/brushes/deevad/watercolor_expressive_prev.png
+%%DATADIR%%/brushes/deevad/watercolor_glazing.myb
+%%DATADIR%%/brushes/deevad/watercolor_glazing_prev.png
 %%DATADIR%%/brushes/experimental/1pixel.myb
 %%DATADIR%%/brushes/experimental/1pixel_prev.png
 %%DATADIR%%/brushes/experimental/DNA_brush.myb
@@ -529,6 +726,7 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 %%DATADIR%%/brushes/tanda/watercolor-02-water.myb
 %%DATADIR%%/brushes/tanda/watercolor-02-water_prev.png
 %%DATADIR%%/brushlib/__init__.py
+%%DATADIR%%/brushlib/brushsettings.json
 %%DATADIR%%/brushlib/brushsettings.py
 %%DATADIR%%/brushlib/generate.py
 %%DATADIR%%/gui/__init__.py
@@ -539,10 +737,27 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 %%DATADIR%%/gui/brushmodifier.py
 %%DATADIR%%/gui/brushselectionwindow.py
 %%DATADIR%%/gui/brushsettingswindow.py
-%%DATADIR%%/gui/colorhistory.py
+%%DATADIR%%/gui/buttonmap.py
+%%DATADIR%%/gui/canvasevent.py
 %%DATADIR%%/gui/colorpicker.py
-%%DATADIR%%/gui/colorsamplerwindow.py
+%%DATADIR%%/gui/colors/__init__.py
+%%DATADIR%%/gui/colors/adjbases.py
+%%DATADIR%%/gui/colors/bases.py
+%%DATADIR%%/gui/colors/combined.py
+%%DATADIR%%/gui/colors/geom.py
+%%DATADIR%%/gui/colors/hcywheel.py
+%%DATADIR%%/gui/colors/hsvcube.py
+%%DATADIR%%/gui/colors/hsvtriangle.py
+%%DATADIR%%/gui/colors/hsvwheel.py
+%%DATADIR%%/gui/colors/palette.py
+%%DATADIR%%/gui/colors/paletteview.py
+%%DATADIR%%/gui/colors/picker.py
+%%DATADIR%%/gui/colors/sliders.py
+%%DATADIR%%/gui/colors/uicolor.py
+%%DATADIR%%/gui/colors/uimisc.py
+%%DATADIR%%/gui/colors/util.py
 %%DATADIR%%/gui/colorselectionwindow.py
+%%DATADIR%%/gui/colorwindow.py
 %%DATADIR%%/gui/cursor.py
 %%DATADIR%%/gui/curve.py
 %%DATADIR%%/gui/dialogs.py
@@ -555,26 +770,32 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 %%DATADIR%%/gui/functionwindow.py
 %%DATADIR%%/gui/gtkexcepthook.py
 %%DATADIR%%/gui/historypopup.py
-%%DATADIR%%/gui/hsvcompat.py
 %%DATADIR%%/gui/inputtestwindow.py
 %%DATADIR%%/gui/keyboard.py
 %%DATADIR%%/gui/layerswindow.py
 %%DATADIR%%/gui/layout.py
+%%DATADIR%%/gui/linemode.py
 %%DATADIR%%/gui/main.py
 %%DATADIR%%/gui/menu.xml
+%%DATADIR%%/gui/mypaint.xml
+%%DATADIR%%/gui/overlays.py
 %%DATADIR%%/gui/pixbuflist.py
 %%DATADIR%%/gui/preferenceswindow.py
+%%DATADIR%%/gui/pygtkcompat.py
 %%DATADIR%%/gui/scratchwindow.py
 %%DATADIR%%/gui/spinbox.py
 %%DATADIR%%/gui/stategroup.py
-%%DATADIR%%/gui/stock.py
+%%DATADIR%%/gui/symmetry.py
 %%DATADIR%%/gui/tileddrawwidget.py
 %%DATADIR%%/gui/toolbar-blendmodes.xml
 %%DATADIR%%/gui/toolbar-edit.xml
 %%DATADIR%%/gui/toolbar-file.xml
+%%DATADIR%%/gui/toolbar-linemodes.xml
 %%DATADIR%%/gui/toolbar-scrap.xml
 %%DATADIR%%/gui/toolbar-subwindows.xml
-%%DATADIR%%/gui/toolbar-view.xml
+%%DATADIR%%/gui/toolbar-view-manips.xml
+%%DATADIR%%/gui/toolbar-view-modes.xml
+%%DATADIR%%/gui/toolbar-view-resets.xml
 %%DATADIR%%/gui/toolbar.py
 %%DATADIR%%/gui/toolbar.xml
 %%DATADIR%%/gui/widgets.py
@@ -582,6 +803,7 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 %%DATADIR%%/lib/__init__.py
 %%DATADIR%%/lib/backgroundsurface.py
 %%DATADIR%%/lib/brush.py
+%%DATADIR%%/lib/brushes_migrate_json.py
 %%DATADIR%%/lib/command.py
 %%DATADIR%%/lib/document.py
 %%DATADIR%%/lib/helpers.py
@@ -593,34 +815,47 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 %%DATADIR%%/lib/stroke.py
 %%DATADIR%%/lib/strokemap.py
 %%DATADIR%%/lib/tiledsurface.py
+%%DATADIR%%/palettes/All_color_choice.gpl
+%%DATADIR%%/palettes/Browns_And_Yellows.gpl
+%%DATADIR%%/palettes/Classic_4.gpl
+%%DATADIR%%/palettes/Cool_Colors.gpl
+%%DATADIR%%/palettes/Creative_Commons.gpl
+%%DATADIR%%/palettes/GIMP_Default.gpl
+%%DATADIR%%/palettes/Gnome_Palette.gpl
+%%DATADIR%%/palettes/Greys16.gpl
+%%DATADIR%%/palettes/Muted.gpl
+%%DATADIR%%/palettes/MyPaint_Default.gpl
+%%DATADIR%%/palettes/Pastels.gpl
+%%DATADIR%%/palettes/Reds_And_Purples.gpl
+%%DATADIR%%/palettes/Tango_Palette.gpl
+%%DATADIR%%/palettes/Ubuntu.gpl
+%%DATADIR%%/palettes/Visibone.gpl
+%%DATADIR%%/palettes/Visibone_2.gpl
+%%DATADIR%%/palettes/Warm_Colors.gpl
+%%DATADIR%%/palettes/Watercolor.gpl
+%%DATADIR%%/palettes/Zenburn.gpl
+%%DATADIR%%/pixmaps/crosshair_closed.png
+%%DATADIR%%/pixmaps/cursor_arrow.png
+%%DATADIR%%/pixmaps/cursor_arrow_forbidden.png
 %%DATADIR%%/pixmaps/cursor_color_picker.png
+%%DATADIR%%/pixmaps/cursor_crosshair_open.png
+%%DATADIR%%/pixmaps/cursor_crosshair_precise_open.png
+%%DATADIR%%/pixmaps/cursor_forbidden_everywhere.png
+%%DATADIR%%/pixmaps/cursor_hand_closed.png
+%%DATADIR%%/pixmaps/cursor_hand_open.png
+%%DATADIR%%/pixmaps/cursor_move_n_s.png
+%%DATADIR%%/pixmaps/cursor_move_ne_sw.png
+%%DATADIR%%/pixmaps/cursor_move_nw_se.png
+%%DATADIR%%/pixmaps/cursor_move_w_e.png
+%%DATADIR%%/pixmaps/cursor_pencil.png
 %%DATADIR%%/pixmaps/eye_closed.png
 %%DATADIR%%/pixmaps/eye_open.png
 %%DATADIR%%/pixmaps/layer_duplicate.png
+%%DATADIR%%/pixmaps/layers.png
 %%DATADIR%%/pixmaps/lock_closed.png
 %%DATADIR%%/pixmaps/lock_open.png
 %%DATADIR%%/pixmaps/mypaint_logo.png
 %%DATADIR%%/pixmaps/plus.png
-%%DATADIR%%/pixmaps/tool_brushSelectionWindow.png
-%%DATADIR%%/pixmaps/tool_colorSamplerWindow.png
-%%DATADIR%%/pixmaps/tool_colorSelectionWindow.png
-%%DATADIR%%/pixmaps/tool_layersWindow.png
-%%DATADIR%%/pixmaps/tool_scratchWindow.png
-%%DATADIR%%/pixmaps/tool_scratchpadWindow.png
-@dirrm %%DATADIR%%/pixmaps
-@dirrm %%DATADIR%%/lib
-@dirrm %%DATADIR%%/gui
-@dirrm %%DATADIR%%/brushlib
-@dirrm %%DATADIR%%/brushes/tanda
-@dirrm %%DATADIR%%/brushes/ramon
-@dirrm %%DATADIR%%/brushes/experimental
-@dirrm %%DATADIR%%/brushes/deevad
-@dirrm %%DATADIR%%/brushes/classic
-@dirrm %%DATADIR%%/brushes
-@dirrm %%DATADIR%%/backgrounds/ramon
-@dirrm %%DATADIR%%/backgrounds/mrmamurk
-@dirrm %%DATADIR%%/backgrounds
-@dirrm %%DATADIR%%
 @dirrmtry share/locale/nn_NO/LC_MESSAGES
 @dirrmtry share/locale/nn_NO
 @dirrmtry share/icons/hicolor/scalable/apps
@@ -645,3 +880,21 @@ share/locale/zh_TW/LC_MESSAGES/mypaint.m
 @dirrmtry share/icons
 @dirrmtry share/applications
 @dirrm lib/mypaint
+@dirrm include/libmypaint/glib
+@dirrm include/libmypaint
+@dirrm %%DATADIR%%/pixmaps
+@dirrm %%DATADIR%%/palettes
+@dirrm %%DATADIR%%/lib
+@dirrm %%DATADIR%%/gui/colors
+@dirrm %%DATADIR%%/gui
+@dirrm %%DATADIR%%/brushlib
+@dirrm %%DATADIR%%/brushes/tanda
+@dirrm %%DATADIR%%/brushes/ramon
+@dirrm %%DATADIR%%/brushes/experimental
+@dirrm %%DATADIR%%/brushes/deevad
+@dirrm %%DATADIR%%/brushes/classic
+@dirrm %%DATADIR%%/brushes
+@dirrm %%DATADIR%%/backgrounds/ramon
+@dirrm %%DATADIR%%/backgrounds/mrmamurk
+@dirrm %%DATADIR%%/backgrounds
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Pawel Pekala freebsd_committer 2013-04-17 17:41:12 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!